LR_XML2MAIL(1)

NAME
lr_xml2mail - Formats a XML report and sends it by email

SYNOPSIS
lr_xml2mail [options] -x report.xml [-x report.xml] ... sendto...

lr_xml2mail -h

lr_xml2mail -v

OPTIONS

-h  Prints usage information and exits.

-i  Generate charts for all reports that support it. Normally, charts will be generated only if the variable LR_INCLUDEIMAGES is set to 1.

-o output format
    one of docbookx, excel95, html, html_page, logml, pdf, rtf, txt, xhtml, xhtml_page and xml. Per default, simple txt output is generated. The logml output format is only available for the www and email superservice. The html and xhtml output format behave exactly the same as html_page and xhtml_page, respectively: they generate the complete report on one page, since this is nicer in email messages. The html and xhtml options are just supplied for compatibity with lr_log2report(1) and friends. (Refer to the Lire User Manual for a description of those formats.)

-U superservice, -S service
    in case multiple XML report files are specified, the Lire superservice and service need to be known. If this script is called by a wrapper, the wrapper script should make sure the LR_SUPERSERVICE and LR_SERVICE environment variables are set. When calling this script by hand, one could use the -U and -S options.

-s subject
    Sets the subject of the email message. Defaults to [LogReport].

-v  Prints version and exits.

DESCRIPTION
lr_xml2mail formats the XML reports generated by Lire to various output format and sends it by email to the recipients specified as remaining arguments.

The command will make sure the report is MIME encapsulated properly depending on the output format chosen. For example, a PDF report will be sent as an attachment and (X)HTML output will appear as an HTML mail message. The content-type of the MIME message will also be set properly.

If the LR_FROM environment variable is set, its content will be used in the From header.

If the LR_REPLYTO environment variable is set, its content will be used in the Reply-To header.

NOTES ON THE (X)HTML OUTPUT
With this command, the html and xhtml output formats are strictly equivalent to the html_page and xhtml_page since multiple pages aren't handled too well by most HTML capable mailers. If the -i is used, the images will also be embedded in the email message and should appear inline in most HTML mail readers.

NOTES ON THE XML OUTPUT
The xml output format will not format the XML report but will send it by email. The content-type will be set to application/x-lire-report so that it can be recognised by a lr_rawmail2mail(1) running at the other end. This is useful in the case that the log file was anonymized and you want to deanonymize the generated report before formatting it.

SEE ALSO
lr_rawmail2mail(1), lr_log2mail(1), lr_xml2report(1)

VERSION
This manpage: $Id: lr_xml2mail.pod,v 1.7 2002/07/21 18:17:38 vanbaal Exp $

COPYRIGHT
Copyright (C) 2002 Stichting LogReport Foundation LogReport@LogReport.org

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program (see COPYING); if not, check with http://www.gnu.org/copyleft/gpl.html or write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111, USA.

AUTHORS
Francis J. Lacoste <flacoste@logreport.org>